#include "gringo-init.h"

// Destroy all the windows (and inner widgets)
// Then clean up ncurses and Gtk

void gringo_Quit() {
  TChainItem *win;

  // Clean all Windows !!!
  win = gringo_Windows->tail;
  while ( win != NULL ) {
    window_Destroy( win->data );
    win = gringo_Windows->tail;
  }
  // Close NCurses
  if (gringo_Mode == NCURSES_MODE ) {
    #ifdef USES_NCURSES
    endwin();
    #endif
  }
}
